﻿/*
 *********************************************************************
 *    Management Extensions for Windows Windows Server AppFabric     *
 *********************************************************************
 *    Author    : Fatih Boy [fatih@enterprisecoding.com]             *
 *    Web site  : http://www.enterprisecoding.com                    *
 *********************************************************************
 *    License   : GNU Library General Public License (LGPL)          * 
 *********************************************************************
 */

namespace Com.Enterprisecoding.AppFabric.Extensions.Client.ObjectPicker {
    public enum DSOP_SCOPE_FLAG : uint {
        StartingScope = 0x00000001,
        WantProviderWinNT = 0x00000002,
        WantProviderLDAP = 0x00000004,
        WantProviderGC = 0x00000008,
        WantSIDPath = 0x00000010,
        WantDownlevelBuiltinPath = 0x00000020,
        DefaultFilterUsers = 0x00000040,
        DefaultFilterGroups = 0x00000080,
        DefaultFilterComputers = 0x00000100,
        DefaultFilterContacts = 0x00000200
    }
}