﻿/*
 *********************************************************************
 *    Management Extensions for Windows Windows Server AppFabric     *
 *********************************************************************
 *    Author    : Fatih Boy [fatih@enterprisecoding.com]             *
 *    Web site  : http://www.enterprisecoding.com                    *
 *********************************************************************
 *    License   : GNU Library General Public License (LGPL)          * 
 *********************************************************************
 */

using System;
using System.Runtime.InteropServices;

namespace Com.Enterprisecoding.AppFabric.Extensions.Client.ObjectPicker {
    [ComImport]
    [Guid("0C87E64E-3B7A-11D2-B9E0-00C04FD8DBF7")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    public interface IDsObjectPicker {
        void Initialize(ref Interop.DSOP_INIT_INFO pInitInfo);
        void InvokeDialog(IntPtr HWND, out IDataObject lpDataObject);
    }
}