﻿/*
 *********************************************************************
 *    Management Extensions for Windows Windows Server AppFabric     *
 *********************************************************************
 *    Author    : Fatih Boy [fatih@enterprisecoding.com]             *
 *    Web site  : http://www.enterprisecoding.com                    *
 *********************************************************************
 *    License   : GNU Library General Public License (LGPL)          * 
 *********************************************************************
 */

using System;
using System.Runtime.InteropServices;

namespace Com.Enterprisecoding.AppFabric.Extensions.Client.ObjectPicker.Interop {
    [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
    public struct DSOP_INIT_INFO {
        public uint cbSize;

        [MarshalAs(UnmanagedType.LPWStr)]
        public string pwzTargetComputer;

        public uint cDsScopeInfos;

        public IntPtr aDsScopeInfos;

        public uint flOptions;

        public uint cAttributesToFetch;

        [MarshalAs(UnmanagedType.ByValArray, SizeConst = 1, ArraySubType = UnmanagedType.LPTStr)]
        public string[] apwzAttributeNames;
    }
}