﻿/*
 *********************************************************************
 *    Management Extensions for Windows Windows Server AppFabric     *
 *********************************************************************
 *    Author    : Fatih Boy [fatih@enterprisecoding.com]             *
 *    Web site  : http://www.enterprisecoding.com                    *
 *********************************************************************
 *    License   : GNU Library General Public License (LGPL)          * 
 *********************************************************************
 */

using System;
using System.Runtime.InteropServices;

namespace Com.Enterprisecoding.AppFabric.Extensions.Client.ObjectPicker.Interop {
    [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
    public struct DS_SELECTION {
        [MarshalAs(UnmanagedType.LPWStr)]
        public string pwzName;

        [MarshalAs(UnmanagedType.LPWStr)]
        public string pwzADsPath;

        [MarshalAs(UnmanagedType.LPWStr)]
        public string pwzClass;

        [MarshalAs(UnmanagedType.LPWStr)]
        public string pwzUPN;

        public IntPtr pvarFetchedAttributes;

        public uint flScopeType;
    }
}