﻿/*
 *********************************************************************
 *    Management Extensions for Windows Windows Server AppFabric     *
 *********************************************************************
 *    Author    : Fatih Boy [fatih@enterprisecoding.com]             *
 *    Web site  : http://www.enterprisecoding.com                    *
 *********************************************************************
 *    License   : GNU Library General Public License (LGPL)          * 
 *********************************************************************
 */

namespace Com.Enterprisecoding.AppFabric.Extensions {
    internal static class AssemblyRef {
        private static string appFabricExtensionsClient;

        internal static string AppFabricExtensionsClient {
            get {
                if (appFabricExtensionsClient == null) {
                    var name = typeof(AssemblyRef).Assembly.GetName();
                    appFabricExtensionsClient = name.FullName.Replace(name.Name, "Enterprisecoding.AppFabric.Extensions.Client");
                }

                return appFabricExtensionsClient;
            }
        }
    }
}