﻿/*
 *********************************************************************
 *    Management Extensions for Windows Windows Server AppFabric     *
 *********************************************************************
 *    Author    : Fatih Boy [fatih@enterprisecoding.com]             *
 *    Web site  : http://www.enterprisecoding.com                    *
 *********************************************************************
 *    License   : GNU Library General Public License (LGPL)          * 
 *********************************************************************
 */

using System;

namespace Com.Enterprisecoding.AppFabric.Extensions.Client.ObjectPicker {
    [Flags]
    public enum DSOP_SCOPE_TYPE : uint {
        TargetComputer = 0x00000001,
        UplevelJoinedDomain = 0x00000002,
        DownlevelJoinedDomain = 0x00000004,
        EnterpriseDomain = 0x00000008,
        GlobalCatalog = 0x00000010,
        ExternalUplevelDomain = 0x00000020,
        ExternalDownlevelDomain = 0x00000040,
        Workgroup = 0x00000080,
        UserEnteredUplevelScope = 0x00000100,
        UserEnteredDownlevelScope = 0x00000200
    }
}